org.codehaus.plexus.component.configurator

## Interface ConfigurationListener

    public interface ConfigurationListener

Listen for configuration changes on an object.

Version:
  $Id: ConfigurationListener.java 2634 2005-10-08 06:33:08Z brett $
Author:
  Brett Porter

### Method Summary

Methods
`void` `notifyFieldChangeUsingReflection(String fieldName, Object value, Object target)` Notify the listener that a field has been set using private field injection.
`void` `notifyFieldChangeUsingSetter(String fieldName, Object value, Object target)` Notify the listener that a field has been set using its setter.

### Method Detail

#### notifyFieldChangeUsingSetter

    void notifyFieldChangeUsingSetter(String fieldName,
                                    Object value,
                                    Object target)

Notify the listener that a field has been set using its setter.

Parameters:
  `fieldName` - the field
  `value` - the value set
  `target` - the target object

#### notifyFieldChangeUsingReflection

    void notifyFieldChangeUsingReflection(String fieldName,
                                        Object value,
                                        Object target)

Notify the listener that a field has been set using private field injection.

Parameters:
  `fieldName` - the field
  `value` - the value set
  `target` - the target object